package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingDiaDAO;
import com.rjconsultores.ventaboletos.entidad.GP_Pricing;
import com.rjconsultores.ventaboletos.entidad.GP_PricingDia;
import com.rjconsultores.ventaboletos.service.GP_PricingDiaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingDiaService")
public class GP_PricingDiaServiceImpl implements GP_PricingDiaService {

    @Autowired
    private GP_PricingDiaDAO pricingDiaDAO;

    public List<GP_PricingDia> obtenerTodos() {
        return pricingDiaDAO.obtenerTodos();
    }

    public GP_PricingDia obtenerID(Integer id) {
        return pricingDiaDAO.obtenerID(id);
    }

    @Transactional
    public GP_PricingDia suscribir(GP_PricingDia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(GP_Pricing.ATIVO);

        return pricingDiaDAO.suscribir(entidad);
    }

    @Transactional
    public GP_PricingDia actualizacion(GP_PricingDia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(GP_Pricing.ATIVO);

        return pricingDiaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(GP_PricingDia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(GP_Pricing.EXCLUIDO);

        pricingDiaDAO.actualizacion(entidad);
    }

    public List<GP_PricingDia> buscarTraslapa(GP_PricingDia pricingDia) {
        return pricingDiaDAO.buscarTraslapa(pricingDia);
    }

	@Override
	public List<GP_PricingDia> obtenerTodoPorPricing(GP_Pricing pricing) {
		 return pricingDiaDAO.obtenerTodoPorPricing(pricing);
	}
}
